# Interface PickingCallback

public interface PickingCallback
Deprecated.
As of Java 3D version 1.2, replaced by `com.sun.j3d.utils.picking.behaviors.PickingCallback`

See Also:
  - `PickingCallback`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NO_PICK`
Deprecated.
The user made a selection but nothing was actually picked
`static final int`
`ROTATE`
Deprecated.
`static final int`
`TRANSLATE`
Deprecated.
`static final int`
`ZOOM`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`transformChanged(int type, TransformGroup tg)`
Deprecated.
Called by the Pick Behavior with which this callback is registered each time the Picked object is moved

## Field Details

### ROTATE

static final int ROTATE
Deprecated.

See Also:
  - Constant Field Values

### TRANSLATE

static final int TRANSLATE
Deprecated.

See Also:
  - Constant Field Values

### ZOOM

static final int ZOOM
Deprecated.

See Also:
  - Constant Field Values

### NO_PICK

static final int NO_PICK
Deprecated.
The user made a selection but nothing was actually picked

See Also:
  - Constant Field Values

## Method Details

### transformChanged

void transformChanged(int type, TransformGroup tg)
Deprecated.
Called by the Pick Behavior with which this callback is registered each time the Picked object is moved